org.apache.cassandra.cql3.selection

## Class Selectable.WritetimeOrTTL

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.WritetimeOrTTL

All Implemented Interfaces:
  AssignmentTestable, Selectable

Enclosing interface:
  Selectable

    public static class Selectable.WritetimeOrTTL
    extends java.lang.Object
    implements Selectable

### Nested Class Summary

Nested Classes
`static class` `Selectable.WritetimeOrTTL.Raw`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.selection.Selectable

`Selectable.WithCast, Selectable.WithFieldSelection, Selectable.WithFunction, Selectable.WithTerm, Selectable.WithToJSonFunction, Selectable.WritetimeOrTTL`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Field Summary

Fields
`ColumnDefinition` `column`
`boolean` `isWritetime`

### Constructor Summary

Constructors
Constructor and Description
`WritetimeOrTTL(ColumnDefinition column, boolean isWritetime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractType<?>` `getExactTypeIfKnown(java.lang.String keyspace)` The type of the `Selectable` if it can be infered.
`Selector.Factory` `newSelectorFactory(CFMetaData cfm, AbstractType<?> expectedType, java.util.List<ColumnDefinition> defs, VariableSpecifications boundNames)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.selection.Selectable

`addAndGetIndex, testAssignment`

### Field Detail

#### column

    public final ColumnDefinition column

#### isWritetime

    public final boolean isWritetime

### Constructor Detail

#### WritetimeOrTTL

    public WritetimeOrTTL(ColumnDefinition column,
                          boolean isWritetime)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### newSelectorFactory

    public Selector.Factory newSelectorFactory(CFMetaData cfm,
                                               AbstractType<?> expectedType,
                                               java.util.List<ColumnDefinition> defs,
                                               VariableSpecifications boundNames)

Specified by:
  `newSelectorFactory` in interface `Selectable`

#### getExactTypeIfKnown

    public AbstractType<?> getExactTypeIfKnown(java.lang.String keyspace)

Description copied from interface: `Selectable`
The type of the `Selectable` if it can be infered.

Specified by:
  `getExactTypeIfKnown` in interface `Selectable`
Parameters:
  `keyspace` - the keyspace on which the statement for which this is a `Selectable` is on.
Returns:
  the type of this `Selectable` if inferrable, or `null` otherwise (for instance, the type isn't inferable for a bind marker. Even for literals, the exact type is not inferrable since they are valid for many different types and so this will return `null` too).